/*
 *			    Squirt Obex common
 *			    ------------------
 *
 *		Jean II '00
 *
 * Public header for sobex_common.c
 * Defines all you need to know about the "library" ;-)
 *
 * This file is released under the GPL license.
 */

/*
 * CVS blurb
 * $Header: /home/cvs/Hack/Esquirt/Linux/squirt_obex.h,v 2.6 2001/05/09 21:30:39 jeant Exp $
 * $Log: squirt_obex.h,v $
 * Revision 2.6  2001/05/09 21:30:39  jeant
 * Proper licensing terms (thanks to Mirjana)...
 *
 * Revision 2.5  2001/04/19 18:56:25  jeant
 * Temporary release, not fully functional
 * Reworked native API
 * Got type/accept/target Obex headers working properly
 * Updated tests
 *
 * Revision 2.4.3.1  2001/02/16 23:57:34  jeant
 * Imported sources
 *
 */
/*
Copyright (C) 1995-2001 Hewlett-Packard Company 

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
*/

#ifndef SQUIRT_OBEX_H
#define SQUIRT_OBEX_H

/***************************** INCLUDES *****************************/

#include "squirt_common.h"

/**************************** PROTOTYPES ****************************/

/* Send a squirt over Obex */
extern int
	send_obex(es_squirt *	content,	/* Payload */
		  es_opt *	options,	/* How to process */
		  es_trans *	extra,		/* Optional Transport data */
		  gi_obget *	reply,		/* Optional returned headers */
		  gi_flags *	flags,		/* Optional Rx flags */
		  int		opt_ias);
/* Add a squirt listener over Obex */
extern es_listen *
	add_obex(es_listen *	list,
		 es_opt *	options,
		 int		opt_ias);
/* Send a squirt over Obex GET */
extern int
	send_obex_get(es_squirt *	squirt,		/* Optional squirt */
		      es_opt *		options,	/* For the squirt */
		      es_trans *	extra,		/* Transport data */
		      gi_obget *	request,	/* What to get */
		      gi_flags *	flags,		/* How to get it */
		      int		opt_ias);
/* Issue a get-interface command over Obex */
extern int
	get_interface_obex(gi_obget *	request,	/* What to get */
			   gi_flags *	flags,		/* How to get it */
			   es_trans *	extra,		/* Transport data */
			   int		opt_ias);
/* Set the get interface handler */
extern int
	set_obget_handler_obex(obget_handler	getback,
			       void *		userdata);
#endif	SQUIRT_OBEX_H
