/*
 *			    Test RUI helpers
 *			    ----------------
 *
 *		Jean II '01
 *
 * Un-Escape a UUGLI
 *
 * This file is released under the GPL license.
 *
 * Compile with : gcc -O2 -o unescape_uugli unescape_uugli.c ../libsquirt.a
 */

/*
 * CVS blurb
 * $Header: /home/cvs/Hack/Esquirt/Linux/tests/unescape_uugli.c,v 2.3 2001/05/09 21:30:39 jeant Exp $
 * $Log: unescape_uugli.c,v $
 * Revision 2.3  2001/05/09 21:30:39  jeant
 * Proper licensing terms (thanks to Mirjana)...
 *
 * Revision 2.2  2001/04/24 00:53:07  jeant
 * The good one : fix remaining bugs found during Linux<->Linux testing
 *
 *
 */
/*
Copyright (C) 1995-2001 Hewlett-Packard Company 

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. 

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. 
*/

#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>

//#include <squirt.h>
#include "../squirt_rui.h"

/******************************* MAIN *******************************/

/* ---------------------------------------------------------------- */
/*
 * main body of the program
 */
int
main(int	argc,
     char *	argv[])
{
  unsigned char	string[1024];
  int		i;
  int		n;

  /* Read string from stdin */
  fgets(string, 1024, stdin);

  /* Escape it */
  n = unescape_uugli(string, string);
  if(n > 0)
    {
      /* Dump on stdout */
      for(i = 0; i < n; i++)
	fprintf(stdout, "%02X", string[i]);
      fprintf(stdout, "\n");
    }

  return(0);
}
